Subject: bug#24098: 25.1; Auto complete not working

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Jul 2016 19:12:37 +0300

> From: David Gomes <[email-masked]>
> Date: Thu, 28 Jul 2016 10:10:15 -0400
> 
> This happens in any mode, but basically auto complete does not work. 
> It sort of works the first time I use it when I load Emacs but after 
> that I get this error: 
> 
> Error during redisplay: (eval (list (tree-buffer-spec->sticky-indent-string tree-buffer-spec)
> (tree-buffer-stickynode-fetch-stickyline))) signaled (wrong-type-argument number-or-marker-p nil) [2 times] 
> Error running timer ‘ac-show-menu’: (wrong-number-of-arguments setq 1) 
> auto-complete error: (wrong-number-of-arguments setq 1) 
> 
> And after that it never works again. 

Look into your customizations, particularly something that activates
the tree-buffer feature (which AFAIK is not part of Emacs).